Subject: bug#22953: 24.5; `company-dabbrev' not working in ERC conversations

From: Dmitry Gutov <[email-masked]>
Date: Wed, 9 Mar 2016 05:07:51 +0200

On 03/09/2016 04:20 AM, Alexis wrote:

> Context: company-20160228.1705 from MELPA, running on Emacs 24.5.3.
> `company-dabbrev' does not work for me in ERC conversations. Say i use
> the word "Haskell" in a conversation. If i subsequently type "hask",
> "Haskell" is not offered as a possible completion unless i modify the
> definition of `company-grab' as follows:
>    (defun company-grab (regexp &optional expression limit)      (when
> (looking-back regexp (if limit                                     (1-
> limit)                                   nil))        (or
> (match-string-no-properties (or expression 0)) "")))
> --

Hi!

Please clarify: what does (company-dabbrev--prefix) evaluate to, in such 
context? Is it "ask", when company-grab is not modified?

If so, what does (buffer-substring (point-at-bol) (point)) return?